--[[
NAME
    towindow
FUNCTION
    towindow(render, width, height)
NOTES
    Creates a windows and renders the scene to it.
INPUTS
    render - zeRender object
    width  - image width
    height - image height
]]

require("register")

function towindow(render, width, height)
    local hwnd = 0

    callback = function(message, hwnd, wparm, lwparm, hwparm, lparm, llparm, hlparm)
        if (message == "PAINT") then
            if (hwnd > 0) then
                render:towindow(hwnd)
            end
        elseif (message == "CREATE") then
            hwnd = wparm
        end
    end

    zeWindow.create("callback",  width, height)
end
